store-cart-items-post-one

Source

  • Repository: jef-systems/jef-store-backend

  • Source Run ID: 25334823297

  • Source SHA: 69cb846339fa14db005aec45414a4a94ec2a821e

  • Module: store

  • Documentation Scope: async

  • Lambda: jef-store-post-13

Endpoint

  • API Name: jef-store

  • Action Name: post

  • Method: POST

  • Scope Label: Async

  • Resource Path: /store-cart-items-post-one

  • Complete Endpoint: https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-post-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-post-13

  • curl payload mode: json_body

API Gateway Description

Function: jef-store-post-13
Module: jef-store
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /store-cart-items-post-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-store-cart-items

Payload Example:
- pk: cart-item-1001-0001
- gsi_1_pk: cart-1001-0001
- gsi_1_sk: PRO-1001-0001
- cart_item_id: cart-item-1001-0001
- cart_id: cart-1001-0001
- entity_number: 1001
- product_number: PRO-1001-0001
- sku: PH-SPECIA-10010001
- product_name: Pandan Coconut Sea Salt Latte
- unit_price: 158
- quantity: 15
- stock_quantity_snapshot: 24
- line_total: 1896
- is_selected: true
- is_active: true
- is_deleted: false
- deleted_at:
- created_at: 2026-05-04T09:07:00+08:00
- updated_at: 2026-05-04T09:07:00+08:00
- idempotency_key: bf2c255d-035b-5548-9415-54804b32f518
- schema_version: 1001
- version: 1001

Payload Schema:
- pk: string-{cart_item_id}
- gsi_1_pk: string-{cart_id}
- gsi_1_sk: string-{product_number}
- cart_item_id: string
- cart_id: string
- entity_number: string
- product_number: string
- sku: string
- product_name: string
- unit_price: number
- quantity: number
- stock_quantity_snapshot: number
- line_total: number
- is_selected: boolean
- is_active: boolean
- is_deleted: boolean
- deleted_at: string
- created_at: string
- updated_at: string
- idempotency_key: string
- schema_version: number
- version: number

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "cart-item-1001-0001",
  "gsi_1_pk": "cart-1001-0001",
  "gsi_1_sk": "PRO-1001-0001",
  "cart_item_id": "cart-item-1001-0001",
  "cart_id": "cart-1001-0001",
  "entity_number": "1001",
  "product_number": "PRO-1001-0001",
  "sku": "PH-SPECIA-10010001",
  "product_name": "Pandan Coconut Sea Salt Latte",
  "unit_price": "158",
  "quantity": "15",
  "stock_quantity_snapshot": "24",
  "line_total": "1896",
  "is_selected": "true",
  "is_active": "true",
  "is_deleted": "false",
  "deleted_at": "",
  "created_at": "2026-05-04T09:07:00+08:00",
  "updated_at": "2026-05-04T09:07:00+08:00",
  "idempotency_key": "bf2c255d-035b-5548-9415-54804b32f518",
  "schema_version": "1001",
  "version": "1001"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"cart-item-1001-0001\", \"gsi_1_pk\": \"cart-1001-0001\", \"gsi_1_sk\": \"PRO-1001-0001\", \"cart_item_id\": \"cart-item-1001-0001\", \"cart_id\": \"cart-1001-0001\", \"entity_number\": \"1001\", \"product_number\": \"PRO-1001-0001\", \"sku\": \"PH-SPECIA-10010001\", \"product_name\": \"Pandan Coconut Sea Salt Latte\", \"unit_price\": 158, \"quantity\": 15, \"stock_quantity_snapshot\": 24, \"line_total\": 1896, \"is_selected\": \"true\", \"is_active\": \"true\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"bf2c255d-035b-5548-9415-54804b32f518\", \"schema_version\": 1001, \"version\": 1001}"

PowerShell curl

curl.exe -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "cart-item-1001-0001", "gsi_1_pk": "cart-1001-0001", "gsi_1_sk": "PRO-1001-0001", "cart_item_id": "cart-item-1001-0001", "cart_id": "cart-1001-0001", "entity_number": "1001", "product_number": "PRO-1001-0001", "sku": "PH-SPECIA-10010001", "product_name": "Pandan Coconut Sea Salt Latte", "unit_price": 158, "quantity": 15, "stock_quantity_snapshot": 24, "line_total": 1896, "is_selected": "true", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "bf2c255d-035b-5548-9415-54804b32f518", "schema_version": 1001, "version": 1001}'